Summary: inject machine check errors on the software level into a running Linux kernel
Name: mce-inject
Version: git
Release: r0.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: bison-native
BuildRequires: flex-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libpthread.so.0()(64bit)
Provides: elf(buildid) = 2dd07f15b9e679632752ccd7e4bfa9317bbe03fa

%description
mce-inject allows to inject machine check errors on the software level into
a running Linux kernel. This is intended for validation of the kernel
machine check handler.

%package -n mce-inject-dbg
Summary: inject machine check errors on the software level into a running Linux kernel - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: mce-inject = git-r0.0

%description -n mce-inject-dbg
mce-inject allows to inject machine check errors on the software level into
a running Linux kernel. This is intended for validation of the kernel
machine check handler.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n mce-inject-staticdev
Summary: inject machine check errors on the software level into a running Linux kernel - Development files (Static Libraries)
Group: devel
Requires: mce-inject-dev = git-r0.0

%description -n mce-inject-staticdev
mce-inject allows to inject machine check errors on the software level into
a running Linux kernel. This is intended for validation of the kernel
machine check handler.  This package contains static libraries for software
development.

%package -n mce-inject-dev
Summary: inject machine check errors on the software level into a running Linux kernel - Development files
Group: devel
Requires: mce-inject = git-r0.0
Suggests: libc6-dev

%description -n mce-inject-dev
mce-inject allows to inject machine check errors on the software level into
a running Linux kernel. This is intended for validation of the kernel
machine check handler.  This package contains symbolic links, header files,
and related items necessary for software development.

%package -n mce-inject-doc
Summary: inject machine check errors on the software level into a running Linux kernel - Documentation files
Group: doc

%description -n mce-inject-doc
mce-inject allows to inject machine check errors on the software level into
a running Linux kernel. This is intended for validation of the kernel
machine check handler.  This package contains documentation.

%package -n mce-inject-locale
Summary: inject machine check errors on the software level into a running Linux kernel
Group: base

%description -n mce-inject-locale
mce-inject allows to inject machine check errors on the software level into
a running Linux kernel. This is intended for validation of the kernel
machine check handler.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
"/usr/sbin/mce-inject"

%files -n mce-inject-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/mce-inject"
%dir "/usr/src/debug"
%dir "/usr/src/debug/mce-inject"
%dir "/usr/src/debug/mce-inject/git-r0"
%dir "/usr/src/debug/mce-inject/git-r0/git"
"/usr/src/debug/mce-inject/git-r0/git/mce.h"
"/usr/src/debug/mce-inject/git-r0/git/mce-inject.c"
"/usr/src/debug/mce-inject/git-r0/git/mce.lex"
"/usr/src/debug/mce-inject/git-r0/git/util.c"
"/usr/src/debug/mce-inject/git-r0/git/mce.tab.h"
"/usr/src/debug/mce-inject/git-r0/git/lex.yy.c"
"/usr/src/debug/mce-inject/git-r0/git/mce.tab.c"
"/usr/src/debug/mce-inject/git-r0/git/mce.y"
"/usr/src/debug/mce-inject/git-r0/git/util.h"
"/usr/src/debug/mce-inject/git-r0/git/parser.h"
"/usr/src/debug/mce-inject/git-r0/git/inject.h"

%files -n mce-inject-dev
%defattr(-,-,-,-)

%files -n mce-inject-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/mce-inject.8"

